package cn.com.infosec.crypto.modes;

import cn.com.infosec.crypto.BlockCipher;
import cn.com.infosec.crypto.CipherParameters;

public interface AEADBlockCipher {
   void init(boolean var1, CipherParameters var2);

   String getAlgorithmName();

   BlockCipher getUnderlyingCipher();

   int processByte(byte var1, byte[] var2, int var3);

   int processBytes(byte[] var1, int var2, int var3, byte[] var4, int var5);

   int doFinal(byte[] var1, int var2);

   byte[] getMac();

   int getUpdateOutputSize(int var1);

   int getOutputSize(int var1);

   void reset();
}
